# This ought to be configuration used for every run here...

import os
import os.path

def clean_path(path):
    return os.path.realpath(os.path.abspath(path))

BIN_DIR = clean_path("opt")

ENGINE = clean_path(os.path.join(BIN_DIR, "Engine"))

HOME_DIR = clean_path(os.environ["HOME"])
REL_PRESENT_DIR = os.path.relpath(os.getcwd(), HOME_DIR)

SAMPLE_ROOT_DIR = clean_path("Samples")
ANALYSIS_ROOT_DIR = clean_path("Analysis")
SMALL_SAMPLE_ROOT_DIR = clean_path("Epscorci/Samples")

WORKSPACE_ROOT_DIR = clean_path("/local_scratch")
if not os.path.exists(WORKSPACE_ROOT_DIR):
    WORKSPACE_ROOT_DIR=clean_path("/var/tmp")

