#!/bin/env python3

import sys
import os
import shutil

pj = os.path.join

PNAME='Copy21WNC'

BROKEN_PATH=PNAME+'-broken.txt'

def main():
    with open(BROKEN_PATH, 'rt') as broken:
        for line in broken.readlines():
            run_id = line[0:6]
            a_path = (pj('Analysis', PNAME, '{}.json'.format(run_id)))
            if os.path.exists(a_path):
                print(a_path)
                os.remove(a_path)
            s_path = pj('Samples', PNAME, run_id)
            if os.path.exists(s_path):
                print(s_path)
                shutil.rmtree(s_path)

if __name__ == '__main__':
    main()
